fair::mq::shmem::Manager Class Reference

## Public Member Functions

| Manager (const std::string &name, size_t size)
| Manager (const Manager &)=delete
Manager | operator= (const Manager &)=delete
boost::interprocess::managed_shared_memory & | Segment ()
boost::interprocess::mapped_region * | CreateRegion (const size_t size, const uint64_t id, FairMQRegionCallback callback)
Region * | GetRemoteRegion (const uint64_t id)
void | RemoveRegion (const uint64_t id)
void | RemoveSegment ()
boost::interprocess::managed_shared_memory & | ManagementSegment ()

## Static Public Member Functions

static void | Interrupt ()
static void | Resume ()

## Friends

struct | Region

The documentation for this class was generated from the following files:

- fairmq/shmem/Manager.h
- fairmq/shmem/Manager.cxx